diff --git a/changelog b/changelog
index 631bee7..c9a6037 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090608 tpd src/axiom-website/patches.html 20090608.03.tpd.patch
+20090608 tpd src/input/Makefile tpieazas002 CATS test added
+20090608 tpd src/input/tpieazas002.input added
 20090608 tpd src/axiom-website/patches.html 20090608.02.tpd.patch
 20090608 tpd books/bookvol10.4 MESH +-> conversion
 20090608 tpd src/axiom-website/patches.html 20090608.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8377d2d..7a6b416 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1499,5 +1499,7 @@ tpieazas001.input add rm of output file<br/>
 bookvol10.4 MATLIN +-> conversion<br/>
 <a href="patches/20090608.02.tpd.patch">20090608.02.tpd.patch</a>
 bookvol10.4 MESH +-> conversion<br/>
+<a href="patches/20090608.03.tpd.patch">20090608.03.tpd.patch</a>
+tpieazas002.input CATS test added<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 661fe9f..0b4f2bd 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -385,6 +385,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     tanhcoth.regress  tanatan.regress  tbagg.regress    test.regress \
     textfile.regress  torus.regress \
     tpiezas001.regress \
+    tpiezas002.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
     typetower.regress void.regress      uniseg.regress \
     unittest1.regress unittest2.regress unittest3.regress unittest4.regress
@@ -694,6 +695,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/tanatan.input  ${OUT}/tbagg.input      ${OUT}/test.input \
        ${OUT}/tetra.input    ${OUT}/textfile.input   ${OUT}/tknot.input \
        ${OUT}/tpiezas001.input \
+       ${OUT}/tpiezas002.input \
        ${OUT}/tree.input \
        ${OUT}/triglim.input  ${OUT}/tschirn.input ${OUT}/tsetcatbutcher.input \
        ${OUT}/tsetcatchemical.input ${OUT}/tsetcatvermeer.input \
@@ -1053,6 +1055,7 @@ DOCFILES= \
   ${DOC}/textfile.input.dvi    ${DOC}/tknot.input.dvi      \
   ${DOC}/torus.input.dvi \
   ${DOC}/tpiezas001.input.dvi \
+  ${DOC}/tpiezas002.input.dvi \
   ${DOC}/tree.input.dvi       \
   ${DOC}/triglim.input.dvi     ${DOC}/tschirn.input.dvi    \
   ${DOC}/tsetcatbutcher.input.dvi    \
diff --git a/src/input/tpiezas002.input.pamphlet b/src/input/tpiezas002.input.pamphlet
new file mode 100644
index 0000000..54fc7a3
--- /dev/null
+++ b/src/input/tpiezas002.input.pamphlet
@@ -0,0 +1,843 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input tpiezas002.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is from ``A Collection of Algebraic Identities'' 
+by Titus. Piezas III\cite{1}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\section{Part 2. Sums of Squares}
+\subsection{Sums of two squares}
+\begin{enumerate}
+\item $x^2+y^2 = z^k$
+\item $x^2+ny^2 = z^k$
+\item $ad-bc = \pm 1$
+\item $x^2+y^2=z^2+1$
+\item $x^2+y^2=z^2-1$
+\item $x^2+y^2=z^2+nt^2$
+\item $x^2+y^2=z^2+nt^k$
+\item $x^2+y^2=mz^2+nt^2$
+\item $c_1(x^2+ny^2)=c_2(z^2+nt^2)$
+\item $mx^2+ny^2=mz^2+nt^2$
+\end{enumerate}
+\begin{chunk}{*}
+)set break resume
+)sys rm -f tpiezas002.output
+)spool tpiezas002.output
+)set message test on
+)set message auto off
+)clear all
+
+\end{chunk}
+
+\subsection{Form: $x^2+y^2=z^k$}
+The smallest primitive solutions (those with $a,b,c$ co-prime) are:
+\{3,4,5\}, \{5,12,13\}, \{7,24,25\}, \{8,15,17\}, etc.
+
+{\bf Theorem}: For primitive triples $a^2+b^2=c^2$,\\
+Exactly one of a,b is odd, and c is always odd\\
+Exactly one of a,b is divisible by 3\\
+Exactly one of a,b is divisible by 4\\
+Exactly one of a,b,c is divisible by 5
+
+Given one triple the others can be generated.
+
+{\bf Theorem}: If $a^2+b^2=c^2$ then $(a+2b+2c)^2+(2a+b+2c)^2=(2a+2b+3c)^2$
+
+\begin{chunk}{*} 
+--S 1 of 71
+c:=sqrt(a^2+b^2)
+--R 
+--R
+--R         +-------+
+--R         | 2    2
+--R   (1)  \|b  + a
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 71
+t1:=(a+2*b+2*c)^2
+--R 
+--R
+--R                  +-------+
+--R                  | 2    2      2            2
+--R   (2)  (8b + 4a)\|b  + a   + 8b  + 4a b + 5a
+--R                                                     Type: Expression Integer
+--E 2
+
+--S 3 of 71
+t2:=(2*a+b+2*c)^2
+--R 
+--R
+--R                  +-------+
+--R                  | 2    2      2            2
+--R   (3)  (4b + 8a)\|b  + a   + 5b  + 4a b + 8a
+--R                                                     Type: Expression Integer
+--E 3
+
+--S 4 of 71
+t3:=(2*a+2*b+3*c)^2
+--R 
+--R
+--R                    +-------+
+--R                    | 2    2       2             2
+--R   (4)  (12b + 12a)\|b  + a   + 13b  + 8a b + 13a
+--R                                                     Type: Expression Integer
+--E 4
+
+--S 5 of 71
+t1+t2-t3
+--R 
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 5
+
+\end{chunk}
+Starting with $\{a,b,c\}=\{\pm 3, \pm 4, 5\}$ it is possible to generate
+all primitive Pythagorean triples (Barning, 1963, Roberts, 1977)
+
+Note1: There are 4 terms to generate so from $\{a,b,c\}=\{\pm 5,\pm 12,13\}$
+we see:
+\begin{enumerate}
+\item $\{a,b,c\} = \{55,48,73\}$
+\item $\{-a,b,c\} = \{45,28,53\}$
+\item $\{a,-b,c\} = \{7,24,25\}$
+\item $\{-a,-b,c\} = \{-3,4,5\}$
+\end{enumerate}
+\begin{chunk}{*}
+)clear all
+
+--S 6 of 71
+f(a,b,c)==[(a+2*b+2*c),(2*a+b+2*c),(2*a+2*b+3*c)]
+--R 
+--R                                                                   Type: Void
+--E 6
+
+--S 7 of 71
+f(5,12,13)
+--R 
+--R   Compiling function f with type (PositiveInteger,PositiveInteger,
+--R      PositiveInteger) -> List PositiveInteger 
+--R
+--R   (2)  [55,48,73]
+--R                                                   Type: List PositiveInteger
+--E 7
+
+--S 8 of 71
+f(-5,12,13)
+--R 
+--R   Compiling function f with type (Integer,PositiveInteger,
+--R      PositiveInteger) -> List Integer 
+--R
+--R   (3)  [45,28,53]
+--R                                                           Type: List Integer
+--E 8
+
+--S 9 of 71
+f(5,-12,13)
+--R 
+--R   Compiling function f with type (PositiveInteger,Integer,
+--R      PositiveInteger) -> List Integer 
+--R
+--R   (4)  [7,24,25]
+--R                                                           Type: List Integer
+--E 9
+
+--S 10 of 71
+f(-5,-12,13)
+--R 
+--R   Compiling function f with type (Integer,Integer,PositiveInteger) -> 
+--R      List Integer 
+--R
+--R   (5)  [- 3,4,5]
+--R                                                           Type: List Integer
+--E 10
+
+\end{chunk}
+In fact, we can prove the identity in general,
+\begin{chunk}{*}
+)clear all
+
+--S 11 of 71
+x:=(a^2-b^2)
+--R 
+--R
+--R           2    2
+--R   (1)  - b  + a
+--R                                                     Type: Polynomial Integer
+--E 11
+
+--S 12 of 71
+y:=(2*a*b)
+--R 
+--R
+--R   (2)  2a b
+--R                                                     Type: Polynomial Integer
+--E 12
+
+--S 13 of 71
+z:=(a^2+b^2)
+--R 
+--R
+--R         2    2
+--R   (3)  b  + a
+--R                                                     Type: Polynomial Integer
+--E 13
+
+--S 14 of 71
+x^2+y^2-z^2
+--R 
+--R
+--R   (4)  0
+--R                                                     Type: Polynomial Integer
+--E 14
+
+\end{chunk}
+Note 2: It is possible the divisibility by 3,4,5 is contained in just one
+term, as in the first term of
+\begin{chunk}{*}
+)clear all
+
+--S 15 of 71
+(60*v)^2+(900*v^2-1)^2 - (900*v^2+1)^2
+--R 
+--R
+--R   (1)  0
+--R                                                     Type: Polynomial Integer
+--E 15
+
+\end{chunk}
+{\bf Theorem}: All odd numbers and multiples of 4 appear in a primitive
+Pythagorean triple
+\begin{chunk}{*}
+)clear all
+
+--S 16 of 71
+n:=2*(m^2+m)
+--R 
+--R
+--R          2
+--R   (1)  2m  + 2m
+--R                                                     Type: Polynomial Integer
+--E 16
+
+--S 17 of 71
+(2*m+1)^2 + n^2 - (n+1)^2
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Polynomial Integer
+--E 17
+
+)clear all
+
+--S 18 of 71
+n:=4*m^2-1
+--R 
+--R
+--R          2
+--R   (1)  4m  - 1
+--R                                                     Type: Polynomial Integer
+--E 18
+
+--S 19 of 71
+(4*m)^2 + n^2 - (n+2)^2
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Polynomial Integer
+--E 19
+
+--S 20 of 71
+(a^2-b^2)^2+(2*a*b)^2-(a^2+b^2)^2
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Polynomial Integer
+--E 20
+
+--S 21 of 71
+(a^3-3*a*b^2)^2 + (3*a^2*b-b^3)^2 - (a^2+b^2)^3
+--R 
+--R
+--R   (4)  0
+--R                                                     Type: Polynomial Integer
+--E 21
+
+\end{chunk}
+Working in the quaternions we note that if
+\[(a + bi + cj + dk)^m = A + Bi + Cj + Dk\]
+then 
+\[A^2 + B^2 + C^2 + D^2 = (a^2 + b^2 + c^2 + d^2)^m\]
+so for $m=3$ we have:
+\begin{chunk}{*}
+)clear all
+
+--S 22 of 71
+t0:=quatern(a,b,c,d)^3
+--R 
+--R
+--R   (1)
+--R           2       2       2    3         2      2    3     2
+--R     - 3a d  - 3a c  - 3a b  + a  + (- b d  - b c  - b  + 3a b)i
+--R   + 
+--R           2    3       2     2           3       2    2     2
+--R     (- c d  - c  + (- b  + 3a )c)j + (- d  + (- c  - b  + 3a )d)k
+--R                                          Type: Quaternion Polynomial Integer
+--E 22
+
+--S 23 of 71
+A:=real t0
+--R 
+--R
+--R              2       2       2    3
+--R   (2)  - 3a d  - 3a c  - 3a b  + a
+--R                                                     Type: Polynomial Integer
+--E 23
+
+--S 24 of 71
+B:=imagI t0
+--R 
+--R
+--R             2      2    3     2
+--R   (3)  - b d  - b c  - b  + 3a b
+--R                                                     Type: Polynomial Integer
+--E 24
+
+--S 25 of 71
+C:=imagJ t0
+--R 
+--R
+--R             2    3       2     2
+--R   (4)  - c d  - c  + (- b  + 3a )c
+--R                                                     Type: Polynomial Integer
+--E 25
+
+--S 26 of 71
+D:=imagK t0
+--R 
+--R
+--R           3       2    2     2
+--R   (5)  - d  + (- c  - b  + 3a )d
+--R                                                     Type: Polynomial Integer
+--E 26
+
+--S 27 of 71
+A^2+B^2+C^2+D^2 - (a^2+b^2+c^2+d^2)^3
+--R 
+--R
+--R   (6)  0
+--R                                                     Type: Polynomial Integer
+--E 27
+
+\end{chunk}
+\subsection{Euler}
+\[(a^2+b^2)^2 + (b^2+d^2)^2 = (b^2+8c^2+d^2)^2\]
+where
+\[d=\frac{(b^2+3*c^2)}{(2*c)}\]
+\[a^2-b^2=10c^2\]
+\begin{chunk}{*}
+)clear all
+
+--S 28 of 71
+d:=(b^2+3*c^2)/(2*c)
+--R 
+--R
+--R          2    2
+--R        3c  + b
+--R   (1)  --------
+--R           2c
+--R                                            Type: Fraction Polynomial Integer
+--E 28
+
+--S 29 of 71
+a:=sqrt(10*c^2+b^2)
+--R 
+--R
+--R         +---------+
+--R         |   2    2
+--R   (2)  \|10c  + b
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 71
+(a^2+b^2)^2 + (b^2+d^2)^2 - (b^2+8*c^2+d^2)^2
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 30
+
+\end{chunk}
+\subsection{Piezas}
+A generalization of the Euler version:
+\begin{chunk}{*}
+)clear all
+
+--S 31 of 71
+p:=2*n^2
+--R 
+--R
+--R          2
+--R   (1)  2n
+--R                                                     Type: Polynomial Integer
+--E 31
+
+--S 32 of 71
+q:=n^2-1
+--R 
+--R
+--R         2
+--R   (2)  n  - 1
+--R                                                     Type: Polynomial Integer
+--E 32
+
+--S 33 of 71
+d:=(b^2+q*c^2)/(2*c)
+--R 
+--R
+--R         2 2    2    2
+--R        c n  - c  + b
+--R   (3)  --------------
+--R              2c
+--R                                            Type: Fraction Polynomial Integer
+--E 33
+
+--S 34 of 71
+a:=sqrt(n*(n^2+1)*c^2 + (n-1)*b^2)
+--R 
+--R
+--R         +----------------------+
+--R         | 2 3     2    2      2
+--R   (4)  \|c n  + (c  + b )n - b
+--R                                                     Type: Expression Integer
+--E 34
+
+--S 35 of 71
+(a^2+b^2)^2 + (b^2+d^2)^2-(b^2+p*c^2+d^2)^2
+--R 
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E 35
+
+\end{chunk}
+Another approach is the parameterization:
+\begin{chunk}{*}
+)clear all
+
+--S 36 of 71
+a:=u^2-v^2-w^2
+--R 
+--R
+--R           2    2    2
+--R   (1)  - w  - v  + u
+--R                                                     Type: Polynomial Integer
+--E 36
+
+--S 37 of 71
+b:=2*u*v
+--R 
+--R
+--R   (2)  2u v
+--R                                                     Type: Polynomial Integer
+--E 37
+
+--S 38 of 71
+p:=u^2+v^2+w^2
+--R 
+--R
+--R         2    2    2
+--R   (3)  w  + v  + u
+--R                                                     Type: Polynomial Integer
+--E 38
+
+--S 39 of 71
+q:=2*u*w
+--R 
+--R
+--R   (4)  2u w
+--R                                                     Type: Polynomial Integer
+--E 39
+
+--S 40 of 71
+c:=sqrt(4*u*w*(u^2+v^2+w^2)-d^2)
+--R 
+--R
+--R         +---------------------------+
+--R         |    3        2     3      2
+--R   (5)  \|4u w  + (4u v  + 4u )w - d
+--R                                                     Type: Expression Integer
+--E 40
+
+--S 41 of 71
+(a^2+b^2)^2 + (c^2+d^2)^2 - (p^2+q^2)^2
+--R 
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E 41
+
+\end{chunk}
+\subsection{Fermat}
+{\bf Theorem}: If $p^2+(p+1)^2=r^2$ then $q^2+(q+1)^2=(p+q+r+1)^2$, 
+where $q=3*p+2*r+1$
+\begin{chunk}{*}
+)clear all
+
+--S 42 of 71
+q:=3*p+2*r+1
+--R 
+--R
+--R   (1)  2r + 3p + 1
+--R                                                     Type: Polynomial Integer
+--E 42
+
+--S 43 of 71
+r:=sqrt(p^2+(p+1)^2)
+--R 
+--R
+--R         +------------+
+--R         |  2
+--R   (2)  \|2p  + 2p + 1
+--R                                                     Type: Expression Integer
+--E 43
+
+--S 44 of 71
+q^2 + (q+1)^2 - (p+q+r+1)^2
+--R 
+--R
+--R                        +------------+
+--R                        |  2               2
+--R   (3)  (- 4r - 8p - 4)\|2p  + 2p + 1  + 4r  + (8p + 4)r
+--R                                                     Type: Expression Integer
+--E 44
+
+\end{chunk}
+Since the last result is not zero, something is wrong.
+\subsection{Fibonacci}
+\begin{chunk}{*}
+)clear all
+
+--S 45 of 71
+e:=sqrt(c^2+d^2)
+--R 
+--R
+--R         +-------+
+--R         | 2    2
+--R   (1)  \|d  + c
+--R                                                     Type: Expression Integer
+--E 45
+
+--S 46 of 71
+(a*c+b*d)^2 + (a*d-b*c)^2 - (a*e)^2 - (b*e)^2
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 46
+
+\end{chunk}
+\subsection{Volpicelli}
+\[(ac+bd)^2 + (ad-bc)^2 = (a^2+b^2)^2\]
+where $a^2+b^2 = c^2+d^2$
+\begin{chunk}{*}
+)clear all
+
+--S 47 of 71
+a:=sqrt(c^2+d^2-b^2)
+--R 
+--R
+--R         +------------+
+--R         | 2    2    2
+--R   (1)  \|d  + c  - b
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 71
+(a*c+b*d)^2 + (a*d-b*c)^2 - (a^2 + b^2)^2
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 48
+
+\end{chunk}
+\subsection{Fleck}
+\[(a^2c-b^2c+2abd)^2 + (a^2d-b^2d-2abc)^2 = (a^2+b^2)^3\]
+if $a^2+b^2 = c^2+d^2$
+\begin{chunk}{*}
+)clear all
+
+--S 49 of 71
+a:=sqrt(c^2+d^2-b^2)
+--R 
+--R
+--R         +------------+
+--R         | 2    2    2
+--R   (1)  \|d  + c  - b
+--R                                                     Type: Expression Integer
+--E 49
+
+--S 50 of 71
+(a^2*c-b^2*c+2*a*b*d)^2 + (a^2*d-b^2*d-2*a*b*c)^2 - (a^2+b^2)^3
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 50
+
+\end{chunk}
+A generalization of the above:
+\begin{chunk}{*}
+)clear all
+
+--S 51 of 71
+a:=sqrt(c^2+d^2-b^2)
+--R 
+--R
+--R         +------------+
+--R         | 2    2    2
+--R   (1)  \|d  + c  - b
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 71
+t1:=(a*c^3 - 3*b*c^2*d - 3*a*c*d^2 + b*d^3)^2
+--R 
+--R
+--R   (2)
+--R                                     +------------+
+--R              5        3 3       5   | 2    2    2       2    2  6
+--R     (- 6b c d  + 20b c d  - 6b c d)\|d  + c  - b   + (9c  + b )d
+--R   + 
+--R        4      2 2  4        6      2 4  2    8    2 6
+--R     (3c  - 15b c )d  + (- 5c  + 15b c )d  + c  - b c
+--R                                                     Type: Expression Integer
+--E 52
+
+--S 53 of 71
+t2:=(b*c^3 + 3*a*c^2*d - 3*b*c*d^2 - a*d^3)^2
+--R 
+--R
+--R   (3)
+--R                                   +------------+
+--R            5        3 3       5   | 2    2    2     8        2    2  6
+--R     (6b c d  - 20b c d  + 6b c d)\|d  + c  - b   + d  + (- 5c  - b )d
+--R   + 
+--R        4      2 2  4      6      2 4  2    2 6
+--R     (3c  + 15b c )d  + (9c  - 15b c )d  + b c
+--R                                                     Type: Expression Integer
+--E 53
+
+--S 54 of 71
+t1+t2-(a^2+b^2)^4
+--R 
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E 54
+
+\end{chunk}
+\subsection{Piezas}
+{\bf Theorem}: Let $F:=(p^2+q^2)(r^2+s^2)$. Then $F^k$ (for $k>0$) is
+identically the sum of two squares in $k+1$ ways.
+\begin{chunk}{*}
+)clear all
+
+--S 55 of 71
+a:=(p^2+q^2)*(r^2+s^2)
+--R 
+--R
+--R          2    2  2     2    2  2
+--R   (1)  (q  + p )s  + (q  + p )r
+--R                                                     Type: Polynomial Integer
+--E 55
+
+--S 56 of 71
+b:=(p*r+q*s)^2 + (p*s-q*r)^2
+--R 
+--R
+--R          2    2  2     2    2  2
+--R   (2)  (q  + p )s  + (q  + p )r
+--R                                                     Type: Polynomial Integer
+--E 56
+
+--S 57 of 71
+a-b
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Polynomial Integer
+--E 57
+
+--S 58 of 71
+c:=(p*r-q*s)^2 + (p*s+q*r)^2
+--R 
+--R
+--R          2    2  2     2    2  2
+--R   (4)  (q  + p )s  + (q  + p )r
+--R                                                     Type: Polynomial Integer
+--E 58
+
+--S 59 of 71
+a-c
+--R 
+--R
+--R   (5)  0
+--R                                                     Type: Polynomial Integer
+--E 59
+
+\end{chunk}
+\subsection{H. Mathieu}
+\[(q^2(p^2-2))^2 + (2q^2)^3 = (pq)^4\quad {\rm\ if\ }q^2-2q^2=1\]
+\[((p^4-p^2)/2)^2 + p^6 = (pq)^4\quad {\rm\ if\ }p^2-2q^2=-1\]
+\begin{chunk}{*}
+)clear all
+
+--S 60 of 71
+p:=sqrt(1+2*q^2)
+--R 
+--R
+--R         +-------+
+--R         |  2
+--R   (1)  \|2q  + 1
+--R                                                     Type: Expression Integer
+--E 60
+
+--S 61 of 71
+(q^2*(p^2-2))^2 + (2*q^2)^3 - (p*q)^4
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 61
+
+)clear all
+
+--S 62 of 71
+p:=sqrt(-1+2*q^2)
+--R 
+--R
+--R         +-------+
+--R         |  2
+--R   (1)  \|2q  - 1
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 71
+((p^4-p^2)/2)^2 + p^6 - (p*q)^4
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 63
+
+\end{chunk}
+\subsection{Piezas}
+\[(4q^2d^4(p^2-2))^2+(4*q^2d^3)^3=(2pqd^2)^4\quad {\rm\ if\ }p^2-dq^2=1\]
+\[(4*p^2*d^3(p^2-1))^2+(2*p*d)^6=(2*p*q*d^2)^4\quad {\rm\ if\ }p^2-dq^2=-1\]
+\begin{chunk}{*}
+)clear all
+
+--S 64 of 71
+p:=sqrt(1+d*q^2)
+--R 
+--R
+--R         +--------+
+--R         |   2
+--R   (1)  \|d q  + 1
+--R                                                     Type: Expression Integer
+--E 64
+
+--S 65 of 71
+(4*q^2*d^4*(p^2-2))^2 + (4*q^2*d^3)^3 - (2*p*q*d^2)^4
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 65
+
+)clear all
+
+--S 66 of 71
+p:=sqrt(-1+d*q^2)
+--R 
+--R
+--R         +--------+
+--R         |   2
+--R   (1)  \|d q  - 1
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 71
+(4*p^2*d^3*(p^2-1))^2 + (2*p*d)^6 - (2*p*q*d^2)^4
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 67
+
+\end{chunk}
+\subsection{K. Brown}
+\[p^4 + (q^2-1)^3 = (q^3+3q)^2\quad {\rm\ if\ }p^2-3q^2=1\]
+\begin{chunk}{*}
+)clear all
+
+--S 68 of 71
+p:=sqrt(1+3*q^2)
+--R 
+--R
+--R         +-------+
+--R         |  2
+--R   (1)  \|3q  + 1
+--R                                                     Type: Expression Integer
+--E 68
+
+--S 69 of 71
+p^4 + (q^2-1)^3 - (q^3+3*q)^2
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 69
+
+)clear all
+
+--S 70 of 71
+p:=sqrt(1+3*d*q^2)
+--R 
+--R
+--R         +---------+
+--R         |    2
+--R   (1)  \|3d q  + 1
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 71
+p^4 + (d*q^2-1)^3 - d*(d*q^3+3*q)^2
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: Expression Integer
+--E 71
+
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Titus Piezas, ``A Collection of Algebraic Identities''\\
+{\bf http://sites.google.com/site/tpiezas/002}
+\end{thebibliography}
+\end{document}
+
+
+
